diff --git a/zone.tab b/zone.tab
index 291e4f3..4954ae3 100644
--- a/zone.tab
+++ b/zone.tab
@@ -27,23 +27,23 @@
 #country-
 #code	coordinates	TZ			comments
 AD	+4230+00131	Europe/Andorra
-AE	+2518+05518	Asia/Dubai
+AE	+2518+05518	Etc/GMT-4
 AF	+3431+06912	Asia/Kabul
-AG	+1703-06148	America/Port_of_Spain
-AI	+1812-06304	America/Port_of_Spain
+AG	+1703-06148	America/Puerto_Rico
+AI	+1812-06304	America/Puerto_Rico
 AL	+4120+01950	Europe/Tirane
 AM	+4011+04430	Asia/Yerevan
 AO	-0848+01314	Africa/Lagos
 AQ	-7750+16636	Pacific/Auckland	New Zealand time - McMurdo, South Pole
 AQ	-6617+11031	Antarctica/Casey	Casey
 AQ	-6835+07758	Antarctica/Davis	Davis
-AQ	-6640+14001	Antarctica/DumontDUrville	Dumont-d'Urville
+AQ	-6640+14001	Etc/GMT-10	Dumont-d'Urville
 AQ	-6736+06253	Antarctica/Mawson	Mawson
 AQ	-6448-06406	Antarctica/Palmer	Palmer
 AQ	-6734-06808	Antarctica/Rothera	Rothera
-AQ	-690022+0393524	Antarctica/Syowa	Syowa
+AQ	-690022+0393524	Etc/GMT-3	Syowa
 AQ	-720041+0023206	Antarctica/Troll	Troll
-AQ	-7824+10654	Antarctica/Vostok	Vostok
+AQ	-7824+10654	Etc/GMT-6	Vostok
 AR	-3436-05827	America/Argentina/Buenos_Aires	Buenos Aires (BA, CF)
 AR	-3124-06411	America/Argentina/Cordoba	Argentina (most areas: CB, CC, CN, ER, FM, MN, SE, SF)
 AR	-2447-06525	America/Argentina/Salta	Salta (SA, LP, NQ, RN)
@@ -70,23 +70,23 @@ AU	-3455+13835	Australia/Adelaide	South Australia
 AU	-1228+13050	Australia/Darwin	Northern Territory
 AU	-3157+11551	Australia/Perth	Western Australia (most areas)
 AU	-3143+12852	Australia/Eucla	Western Australia (Eucla)
-AW	+1230-06958	America/Curacao
+AW	+1230-06958	America/Puerto_Rico
 AX	+6006+01957	Europe/Helsinki
 AZ	+4023+04951	Asia/Baku
 BA	+4352+01825	Europe/Belgrade
 BB	+1306-05937	America/Barbados
 BD	+2343+09025	Asia/Dhaka
 BE	+5050+00420	Europe/Brussels
-BF	+1222-00131	Africa/Abidjan
+BF	+1222-00131	Etc/GMT
 BG	+4241+02319	Europe/Sofia
 BH	+2623+05035	Asia/Qatar
 BI	-0323+02922	Africa/Maputo
 BJ	+0629+00237	Africa/Lagos
-BL	+1753-06251	America/Port_of_Spain
+BL	+1753-06251	America/Puerto_Rico
 BM	+3217-06446	Atlantic/Bermuda
-BN	+0456+11455	Asia/Brunei
-BO	-1630-06809	America/La_Paz
-BQ	+120903-0681636	America/Curacao
+BN	+0456+11455	Etc/GMT-8
+BO	-1630-06809	Etc/GMT+4
+BQ	+120903-0681636	America/Puerto_Rico
 BR	-0351-03225	America/Noronha	Atlantic islands
 BR	-0127-04829	America/Belem	Para (east); Amapa
 BR	-0343-03830	America/Fortaleza	Brazil (northeast: MA, PI, CE, RN, PB)
@@ -103,7 +103,7 @@ BR	+0249-06040	America/Boa_Vista	Roraima
 BR	-0308-06001	America/Manaus	Amazonas (east)
 BR	-0640-06952	America/Eirunepe	Amazonas (west)
 BR	-0958-06748	America/Rio_Branco	Acre
-BS	+2505-07721	America/Nassau
+BS	+2505-07721	America/Toronto
 BT	+2728+08939	Asia/Thimphu
 BW	-2439+02555	Africa/Maputo
 BY	+5354+02734	Europe/Minsk
@@ -113,13 +113,13 @@ CA	+4439-06336	America/Halifax	Atlantic - NS (most areas); PE
 CA	+4612-05957	America/Glace_Bay	Atlantic - NS (Cape Breton)
 CA	+4606-06447	America/Moncton	Atlantic - New Brunswick
 CA	+5320-06025	America/Goose_Bay	Atlantic - Labrador (most areas)
-CA	+5125-05707	America/Blanc-Sablon	AST - QC (Lower North Shore)
+CA	+5125-05707	America/Puerto_Rico	AST - QC (Lower North Shore)
 CA	+4339-07923	America/Toronto	Eastern - ON, QC (most areas)
 CA	+4901-08816	America/Nipigon	Eastern - ON, QC (no DST 1967-73)
 CA	+4823-08915	America/Thunder_Bay	Eastern - ON (Thunder Bay)
 CA	+6344-06828	America/Iqaluit	Eastern - NU (most east areas)
 CA	+6608-06544	America/Pangnirtung	Eastern - NU (Pangnirtung)
-CA	+484531-0913718	America/Atikokan	EST - ON (Atikokan); NU (Coral H)
+CA	+484531-0913718	America/Panama	EST - ON (Atikokan); NU (Coral H)
 CA	+4953-09709	America/Winnipeg	Central - ON (west); Manitoba
 CA	+4843-09434	America/Rainy_River	Central - ON (Rainy R, Ft Frances)
 CA	+744144-0944945	America/Resolute	Central - NU (Resolute)
@@ -130,40 +130,40 @@ CA	+5333-11328	America/Edmonton	Mountain - AB; BC (E); SK (W)
 CA	+690650-1050310	America/Cambridge_Bay	Mountain - NU (west)
 CA	+6227-11421	America/Yellowknife	Mountain - NT (central)
 CA	+682059-1334300	America/Inuvik	Mountain - NT (west)
-CA	+4906-11631	America/Creston	MST - BC (Creston)
+CA	+4906-11631	America/Phoenix	MST - BC (Creston)
 CA	+5946-12014	America/Dawson_Creek	MST - BC (Dawson Cr, Ft St John)
 CA	+5848-12242	America/Fort_Nelson	MST - BC (Ft Nelson)
 CA	+6043-13503	America/Whitehorse	MST - Yukon (east)
 CA	+6404-13925	America/Dawson	MST - Yukon (west)
 CA	+4916-12307	America/Vancouver	Pacific - BC (most areas)
-CC	-1210+09655	Indian/Cocos
+CC	-1210+09655	Asia/Yangon
 CD	-0418+01518	Africa/Lagos	Dem. Rep. of Congo (west)
 CD	-1140+02728	Africa/Maputo	Dem. Rep. of Congo (east)
 CF	+0422+01835	Africa/Lagos
 CG	-0416+01517	Africa/Lagos
 CH	+4723+00832	Europe/Zurich
-CI	+0519-00402	Africa/Abidjan
+CI	+0519-00402	Etc/GMT
 CK	-2114-15946	Pacific/Rarotonga
 CL	-3327-07040	America/Santiago	Chile (most areas)
 CL	-5309-07055	America/Punta_Arenas	Region of Magallanes
 CL	-2709-10926	Pacific/Easter	Easter Island
 CM	+0403+00942	Africa/Lagos
 CN	+3114+12128	Asia/Shanghai	Beijing Time
-CN	+4348+08735	Asia/Urumqi	Xinjiang Time
+CN	+4348+08735	Etc/GMT-6	Xinjiang Time
 CO	+0436-07405	America/Bogota
 CR	+0956-08405	America/Costa_Rica
 CU	+2308-08222	America/Havana
 CV	+1455-02331	Atlantic/Cape_Verde
-CW	+1211-06900	America/Curacao
-CX	-1025+10543	Indian/Christmas
+CW	+1211-06900	America/Puerto_Rico
+CX	-1025+10543	Etc/GMT-7
 CY	+3510+03322	Asia/Nicosia	Cyprus (most areas)
 CY	+3507+03357	Asia/Famagusta	Northern Cyprus
 CZ	+5005+01426	Europe/Prague
 DE	+5230+01322	Europe/Berlin	Germany (most areas)
 DE	+4742+00841	Europe/Zurich	Swiss time
 DJ	+1136+04309	Africa/Nairobi
-DK	+5540+01235	Europe/Copenhagen
-DM	+1518-06124	America/Port_of_Spain
+DK	+5540+01235	Europe/Berlin
+DM	+1518-06124	America/Puerto_Rico
 DO	+1828-06954	America/Santo_Domingo
 DZ	+3647+00303	Africa/Algiers
 EC	-0210-07950	America/Guayaquil	Ecuador (mainland)
@@ -179,29 +179,29 @@ ET	+0902+03842	Africa/Nairobi
 FI	+6010+02458	Europe/Helsinki
 FJ	-1808+17825	Pacific/Fiji
 FK	-5142-05751	Atlantic/Stanley
-FM	+0725+15147	Pacific/Chuuk	Chuuk/Truk, Yap
-FM	+0658+15813	Pacific/Pohnpei	Pohnpei/Ponape
+FM	+0725+15147	Etc/GMT-10	Chuuk/Truk, Yap
+FM	+0658+15813	Etc/GMT-11	Pohnpei/Ponape
 FM	+0519+16259	Pacific/Kosrae	Kosrae
 FO	+6201-00646	Atlantic/Faroe
 FR	+4852+00220	Europe/Paris
 GA	+0023+00927	Africa/Lagos
 GB	+513030-0000731	Europe/London
-GD	+1203-06145	America/Port_of_Spain
+GD	+1203-06145	America/Puerto_Rico
 GE	+4143+04449	Asia/Tbilisi
-GF	+0456-05220	America/Cayenne
+GF	+0456-05220	Etc/GMT+3
 GG	+492717-0023210	Europe/London
-GH	+0533-00013	Africa/Accra
+GH	+0533-00013	Etc/GMT
 GI	+3608-00521	Europe/Gibraltar
 GL	+6411-05144	America/Nuuk	Greenland (most areas)
 GL	+7646-01840	America/Danmarkshavn	National Park (east coast)
 GL	+7029-02158	America/Scoresbysund	Scoresbysund/Ittoqqortoormiit
 GL	+7634-06847	America/Thule	Thule/Pituffik
-GM	+1328-01639	Africa/Abidjan
-GN	+0931-01343	Africa/Abidjan
-GP	+1614-06132	America/Port_of_Spain
+GM	+1328-01639	Etc/GMT
+GN	+0931-01343	Etc/GMT
+GP	+1614-06132	America/Puerto_Rico
 GQ	+0345+00847	Africa/Lagos
 GR	+3758+02343	Europe/Athens
-GS	-5416-03632	Atlantic/South_Georgia
+GS	-5416-03632	Etc/GMT+2
 GT	+1438-09031	America/Guatemala
 GU	+1328+14445	Pacific/Guam
 GW	+1151-01535	Africa/Bissau
@@ -222,7 +222,7 @@ IN	+2232+08822	Asia/Kolkata
 IO	-0720+07225	Indian/Chagos
 IQ	+3321+04425	Asia/Baghdad
 IR	+3540+05126	Asia/Tehran
-IS	+6409-02151	Atlantic/Reykjavik
+IS	+6409-02151	Etc/GMT
 IT	+4154+01229	Europe/Rome
 JE	+491101-0020624	Europe/London
 JM	+175805-0764736	America/Jamaica
@@ -230,15 +230,15 @@ JO	+3157+03556	Asia/Amman
 JP	+353916+1394441	Asia/Tokyo
 KE	-0117+03649	Africa/Nairobi
 KG	+4254+07436	Asia/Bishkek
-KH	+1133+10455	Asia/Bangkok
-KI	+0125+17300	Pacific/Tarawa	Gilbert Islands
+KH	+1133+10455	Etc/GMT-7
+KI	+0125+17300	Etc/GMT-12	Gilbert Islands
 KI	-0308-17105	Pacific/Enderbury	Phoenix Islands
 KI	+0152-15720	Pacific/Kiritimati	Line Islands
 KM	-1141+04316	Africa/Nairobi
-KN	+1718-06243	America/Port_of_Spain
+KN	+1718-06243	America/Puerto_Rico
 KP	+3901+12545	Asia/Pyongyang
 KR	+3733+12658	Asia/Seoul
-KW	+2920+04759	Asia/Riyadh
+KW	+2920+04759	Etc/GMT-3
 KY	+1918-08123	America/Panama
 KZ	+4315+07657	Asia/Almaty	Kazakhstan (most areas)
 KZ	+4448+06528	Asia/Qyzylorda	Qyzylorda/Kyzylorda/Kzyl-Orda
@@ -247,27 +247,27 @@ KZ	+5017+05710	Asia/Aqtobe	Aqtobe/Aktobe
 KZ	+4431+05016	Asia/Aqtau	Mangghystau/Mankistau
 KZ	+4707+05156	Asia/Atyrau	Atyrau/Atirau/Gur'yev
 KZ	+5113+05121	Asia/Oral	West Kazakhstan
-LA	+1758+10236	Asia/Bangkok
+LA	+1758+10236	Etc/GMT-7
 LB	+3353+03530	Asia/Beirut
-LC	+1401-06100	America/Port_of_Spain
+LC	+1401-06100	America/Puerto_Rico
 LI	+4709+00931	Europe/Zurich
 LK	+0656+07951	Asia/Colombo
 LR	+0618-01047	Africa/Monrovia
 LS	-2928+02730	Africa/Johannesburg
 LT	+5441+02519	Europe/Vilnius
-LU	+4936+00609	Europe/Luxembourg
+LU	+4936+00609	Europe/Brussels
 LV	+5657+02406	Europe/Riga
 LY	+3254+01311	Africa/Tripoli
 MA	+3339-00735	Africa/Casablanca
-MC	+4342+00723	Europe/Monaco
+MC	+4342+00723	Europe/Paris
 MD	+4700+02850	Europe/Chisinau
 ME	+4226+01916	Europe/Belgrade
-MF	+1804-06305	America/Port_of_Spain
+MF	+1804-06305	America/Puerto_Rico
 MG	-1855+04731	Africa/Nairobi
-MH	+0709+17112	Pacific/Majuro	Marshall Islands (most areas)
+MH	+0709+17112	Etc/GMT-12	Marshall Islands (most areas)
 MH	+0905+16720	Pacific/Kwajalein	Kwajalein
 MK	+4159+02126	Europe/Belgrade
-ML	+1239-00800	Africa/Abidjan
+ML	+1239-00800	Etc/GMT
 MM	+1647+09610	Asia/Yangon
 MN	+4755+10653	Asia/Ulaanbaatar	Mongolia (most areas)
 MN	+4801+09139	Asia/Hovd	Bayan-Olgiy, Govi-Altai, Hovd, Uvs, Zavkhan
@@ -275,11 +275,11 @@ MN	+4804+11430	Asia/Choibalsan	Dornod, Sukhbaatar
 MO	+221150+1133230	Asia/Macau
 MP	+1512+14545	Pacific/Guam
 MQ	+1436-06105	America/Martinique
-MR	+1806-01557	Africa/Abidjan
-MS	+1643-06213	America/Port_of_Spain
+MR	+1806-01557	Etc/GMT
+MS	+1643-06213	America/Puerto_Rico
 MT	+3554+01431	Europe/Malta
 MU	-2010+05730	Indian/Mauritius
-MV	+0410+07330	Indian/Maldives
+MV	+0410+07330	Etc/GMT-5
 MW	-1547+03500	Africa/Maputo
 MX	+1924-09909	America/Mexico_City	Central Time
 MX	+2105-08646	America/Cancun	Eastern Standard Time - Quintana Roo
@@ -292,8 +292,8 @@ MX	+2934-10425	America/Ojinaga	Mountain Time US - Chihuahua (US border)
 MX	+2904-11058	America/Hermosillo	Mountain Standard Time - Sonora
 MX	+3232-11701	America/Tijuana	Pacific Time US - Baja California
 MX	+2048-10515	America/Bahia_Banderas	Central Time - Bahia de Banderas
-MY	+0310+10142	Asia/Kuala_Lumpur	Malaysia (peninsula)
-MY	+0133+11020	Asia/Kuching	Sabah, Sarawak
+MY	+0310+10142	Asia/Singapore	Malaysia (peninsula)
+MY	+0133+11020	Etc/GMT-8	Sabah, Sarawak
 MZ	-2558+03235	Africa/Maputo
 NA	-2234+01706	Africa/Windhoek
 NC	-2216+16627	Pacific/Noumea
@@ -301,20 +301,20 @@ NE	+1331+00207	Africa/Lagos
 NF	-2903+16758	Pacific/Norfolk
 NG	+0627+00324	Africa/Lagos
 NI	+1209-08617	America/Managua
-NL	+5222+00454	Europe/Amsterdam
-NO	+5955+01045	Europe/Oslo
+NL	+5222+00454	Europe/Brussels
+NO	+5955+01045	Europe/Berlin
 NP	+2743+08519	Asia/Kathmandu
 NR	-0031+16655	Pacific/Nauru
 NU	-1901-16955	Pacific/Niue
 NZ	-3652+17446	Pacific/Auckland	New Zealand (most areas)
 NZ	-4357-17633	Pacific/Chatham	Chatham Islands
-OM	+2336+05835	Asia/Dubai
+OM	+2336+05835	Etc/GMT-4
 PA	+0858-07932	America/Panama
 PE	-1203-07703	America/Lima
-PF	-1732-14934	Pacific/Tahiti	Society Islands
+PF	-1732-14934	Etc/GMT+10	Society Islands
 PF	-0900-13930	Pacific/Marquesas	Marquesas Islands
-PF	-2308-13457	Pacific/Gambier	Gambier Islands
-PG	-0930+14710	Pacific/Port_Moresby	Papua New Guinea (most areas)
+PF	-2308-13457	Etc/GMT+9	Gambier Islands
+PG	-0930+14710	Etc/GMT-10	Papua New Guinea (most areas)
 PG	-0613+15534	Pacific/Bougainville	Bougainville
 PH	+1435+12100	Asia/Manila
 PK	+2452+06703	Asia/Karachi
@@ -327,10 +327,10 @@ PS	+313200+0350542	Asia/Hebron	West Bank
 PT	+3843-00908	Europe/Lisbon	Portugal (mainland)
 PT	+3238-01654	Atlantic/Madeira	Madeira Islands
 PT	+3744-02540	Atlantic/Azores	Azores
-PW	+0720+13429	Pacific/Palau
+PW	+0720+13429	Etc/GMT-9
 PY	-2516-05740	America/Asuncion
 QA	+2517+05132	Asia/Qatar
-RE	-2052+05528	Indian/Reunion
+RE	-2052+05528	Etc/GMT-4
 RO	+4426+02606	Europe/Bucharest
 RS	+4450+02030	Europe/Belgrade
 RU	+5443+02030	Europe/Kaliningrad	MSK-01 - Kaliningrad
@@ -364,32 +364,32 @@ RU	+6728+15343	Asia/Srednekolymsk	MSK+08 - Sakha (E); North Kuril Is
 RU	+5301+15839	Asia/Kamchatka	MSK+09 - Kamchatka
 RU	+6445+17729	Asia/Anadyr	MSK+09 - Bering Sea
 RW	-0157+03004	Africa/Maputo
-SA	+2438+04643	Asia/Riyadh
-SB	-0932+16012	Pacific/Guadalcanal
-SC	-0440+05528	Indian/Mahe
+SA	+2438+04643	Etc/GMT-3
+SB	-0932+16012	Etc/GMT-11
+SC	-0440+05528	Etc/GMT-4
 SD	+1536+03232	Africa/Khartoum
-SE	+5920+01803	Europe/Stockholm
+SE	+5920+01803	Europe/Berlin
 SG	+0117+10351	Asia/Singapore
-SH	-1555-00542	Africa/Abidjan
+SH	-1555-00542	Etc/GMT
 SI	+4603+01431	Europe/Belgrade
-SJ	+7800+01600	Europe/Oslo
+SJ	+7800+01600	Europe/Berlin
 SK	+4809+01707	Europe/Prague
-SL	+0830-01315	Africa/Abidjan
+SL	+0830-01315	Etc/GMT
 SM	+4355+01228	Europe/Rome
-SN	+1440-01726	Africa/Abidjan
+SN	+1440-01726	Etc/GMT
 SO	+0204+04522	Africa/Nairobi
 SR	+0550-05510	America/Paramaribo
 SS	+0451+03137	Africa/Juba
 ST	+0020+00644	Africa/Sao_Tome
 SV	+1342-08912	America/El_Salvador
-SX	+180305-0630250	America/Curacao
+SX	+180305-0630250	America/Puerto_Rico
 SY	+3330+03618	Asia/Damascus
 SZ	-2618+03106	Africa/Johannesburg
 TC	+2128-07108	America/Grand_Turk
 TD	+1207+01503	Africa/Ndjamena
-TF	-492110+0701303	Indian/Kerguelen
-TG	+0608+00113	Africa/Abidjan
-TH	+1345+10031	Asia/Bangkok
+TF	-492110+0701303	Etc/GMT-5
+TG	+0608+00113	Etc/GMT
+TH	+1345+10031	Etc/GMT-7
 TJ	+3835+06848	Asia/Dushanbe
 TK	-0922-17114	Pacific/Fakaofo
 TL	-0833+12535	Asia/Dili
@@ -397,8 +397,8 @@ TM	+3757+05823	Asia/Ashgabat
 TN	+3648+01011	Africa/Tunis
 TO	-210800-1751200	Pacific/Tongatapu
 TR	+4101+02858	Europe/Istanbul
-TT	+1039-06131	America/Port_of_Spain
-TV	-0831+17913	Pacific/Funafuti
+TT	+1039-06131	America/Puerto_Rico
+TV	-0831+17913	Etc/GMT-12
 TW	+2503+12130	Asia/Taipei
 TZ	-0648+03917	Africa/Nairobi
 UA	+5026+03031	Europe/Kiev	Ukraine (most areas)
@@ -406,7 +406,7 @@ UA	+4837+02218	Europe/Uzhgorod	Transcarpathia
 UA	+4750+03510	Europe/Zaporozhye	Zaporozhye and east Lugansk
 UG	+0019+03225	Africa/Nairobi
 UM	+2813-17722	Pacific/Pago_Pago	Midway Islands
-UM	+1917+16637	Pacific/Wake	Wake Island
+UM	+1917+16637	Etc/GMT-12	Wake Island
 US	+404251-0740023	America/New_York	Eastern (most areas)
 US	+421953-0830245	America/Detroit	Eastern - MI (most areas)
 US	+381515-0854534	America/Kentucky/Louisville	Eastern - KY (Louisville area)
@@ -440,16 +440,16 @@ UY	-345433-0561245	America/Montevideo
 UZ	+3940+06648	Asia/Samarkand	Uzbekistan (west)
 UZ	+4120+06918	Asia/Tashkent	Uzbekistan (east)
 VA	+415408+0122711	Europe/Rome
-VC	+1309-06114	America/Port_of_Spain
+VC	+1309-06114	America/Puerto_Rico
 VE	+1030-06656	America/Caracas
-VG	+1827-06437	America/Port_of_Spain
-VI	+1821-06456	America/Port_of_Spain
-VN	+2102+10551	Asia/Bangkok	Vietnam (north)
+VG	+1827-06437	America/Puerto_Rico
+VI	+1821-06456	America/Puerto_Rico
+VN	+2102+10551	Etc/GMT-7	Vietnam (north)
 VN	+1045+10640	Asia/Ho_Chi_Minh	Vietnam (south)
 VU	-1740+16825	Pacific/Efate
-WF	-1318-17610	Pacific/Wallis
+WF	-1318-17610	Etc/GMT-12
 WS	-1350-17144	Pacific/Apia
-YE	+1245+04512	Asia/Riyadh
+YE	+1245+04512	Etc/GMT-3
 YT	-1247+04514	Africa/Nairobi
 ZA	-2615+02800	Africa/Johannesburg
 ZM	-1525+02817	Africa/Maputo
diff --git a/zone1970.tab b/zone1970.tab
index ddb2321..8cadd48 100644
--- a/zone1970.tab
+++ b/zone1970.tab
@@ -34,19 +34,18 @@
 #country-
 #codes	coordinates	TZ	comments
 AD	+4230+00131	Europe/Andorra
-AE,OM	+2518+05518	Asia/Dubai
+AE,OM,RE,SC,TF	+2518+05518	Etc/GMT-4	UAE, Oman, Réunion, Seychelles, Crozet, Scattered Is
 AF	+3431+06912	Asia/Kabul
 AL	+4120+01950	Europe/Tirane
 AM	+4011+04430	Asia/Yerevan
 AQ	-6617+11031	Antarctica/Casey	Casey
 AQ	-6835+07758	Antarctica/Davis	Davis
-AQ	-6640+14001	Antarctica/DumontDUrville	Dumont-d'Urville
 AQ	-6736+06253	Antarctica/Mawson	Mawson
 AQ	-6448-06406	Antarctica/Palmer	Palmer
 AQ	-6734-06808	Antarctica/Rothera	Rothera
-AQ	-690022+0393524	Antarctica/Syowa	Syowa
 AQ	-720041+0023206	Antarctica/Troll	Troll
-AQ	-7824+10654	Antarctica/Vostok	Vostok
+AQ,KW,SA,YE	+2438+04643	Etc/GMT-3	Arabia, Syowa
+AQ,FM,PG	-0930+14710	Etc/GMT-10	Papua New Guinea (most areas), Chuuk, Yap, Dumont d'Urville
 AR	-3436-05827	America/Argentina/Buenos_Aires	Buenos Aires (BA, CF)
 AR	-3124-06411	America/Argentina/Cordoba	Argentina (most areas: CB, CC, CN, ER, FM, MN, SE, SF)
 AR	-2447-06525	America/Argentina/Salta	Salta (SA, LP, NQ, RN)
@@ -76,11 +75,12 @@ AU	-3143+12852	Australia/Eucla	Western Australia (Eucla)
 AZ	+4023+04951	Asia/Baku
 BB	+1306-05937	America/Barbados
 BD	+2343+09025	Asia/Dhaka
-BE	+5050+00420	Europe/Brussels
+BE,LU,NL	+5050+00420	Europe/Brussels
+BF,CI,GH,GM,GN,IS,ML,MR,SH,SL,SN,TG	+0519-00402	Etc/GMT
 BG	+4241+02319	Europe/Sofia
 BM	+3217-06446	Atlantic/Bermuda
-BN	+0456+11455	Asia/Brunei
-BO	-1630-06809	America/La_Paz
+BN,MY	+0133+11020	Etc/GMT-8	Sabah, Sarawak, Brunei
+BO	-1630-06809	Etc/GMT+4
 BR	-0351-03225	America/Noronha	Atlantic islands
 BR	-0127-04829	America/Belem	Pará (east); Amapá
 BR	-0343-03830	America/Fortaleza	Brazil (northeast: MA, PI, CE, RN, PB)
@@ -97,7 +97,6 @@ BR	+0249-06040	America/Boa_Vista	Roraima
 BR	-0308-06001	America/Manaus	Amazonas (east)
 BR	-0640-06952	America/Eirunepe	Amazonas (west)
 BR	-0958-06748	America/Rio_Branco	Acre
-BS	+2505-07721	America/Nassau
 BT	+2728+08939	Asia/Thimphu
 BY	+5354+02734	Europe/Minsk
 BZ	+1730-08812	America/Belize
@@ -106,13 +105,11 @@ CA	+4439-06336	America/Halifax	Atlantic - NS (most areas); PE
 CA	+4612-05957	America/Glace_Bay	Atlantic - NS (Cape Breton)
 CA	+4606-06447	America/Moncton	Atlantic - New Brunswick
 CA	+5320-06025	America/Goose_Bay	Atlantic - Labrador (most areas)
-CA	+5125-05707	America/Blanc-Sablon	AST - QC (Lower North Shore)
-CA	+4339-07923	America/Toronto	Eastern - ON, QC (most areas)
+CA,BS	+4339-07923	America/Toronto	Eastern - ON, QC (most areas), Bahamas
 CA	+4901-08816	America/Nipigon	Eastern - ON, QC (no DST 1967-73)
 CA	+4823-08915	America/Thunder_Bay	Eastern - ON (Thunder Bay)
 CA	+6344-06828	America/Iqaluit	Eastern - NU (most east areas)
 CA	+6608-06544	America/Pangnirtung	Eastern - NU (Pangnirtung)
-CA	+484531-0913718	America/Atikokan	EST - ON (Atikokan); NU (Coral H)
 CA	+4953-09709	America/Winnipeg	Central - ON (west); Manitoba
 CA	+4843-09434	America/Rainy_River	Central - ON (Rainy R, Ft Frances)
 CA	+744144-0944945	America/Resolute	Central - NU (Resolute)
@@ -123,32 +120,27 @@ CA	+5333-11328	America/Edmonton	Mountain - AB; BC (E); SK (W)
 CA	+690650-1050310	America/Cambridge_Bay	Mountain - NU (west)
 CA	+6227-11421	America/Yellowknife	Mountain - NT (central)
 CA	+682059-1334300	America/Inuvik	Mountain - NT (west)
-CA	+4906-11631	America/Creston	MST - BC (Creston)
 CA	+5946-12014	America/Dawson_Creek	MST - BC (Dawson Cr, Ft St John)
 CA	+5848-12242	America/Fort_Nelson	MST - BC (Ft Nelson)
 CA	+6043-13503	America/Whitehorse	MST - Yukon (east)
 CA	+6404-13925	America/Dawson	MST - Yukon (west)
 CA	+4916-12307	America/Vancouver	Pacific - BC (most areas)
-CC	-1210+09655	Indian/Cocos
 CH,DE,LI	+4723+00832	Europe/Zurich	Swiss time
-CI,BF,GM,GN,ML,MR,SH,SL,SN,TG	+0519-00402	Africa/Abidjan
 CK	-2114-15946	Pacific/Rarotonga
 CL	-3327-07040	America/Santiago	Chile (most areas)
 CL	-5309-07055	America/Punta_Arenas	Region of Magallanes
 CL	-2709-10926	Pacific/Easter	Easter Island
 CN	+3114+12128	Asia/Shanghai	Beijing Time
-CN	+4348+08735	Asia/Urumqi	Xinjiang Time
+CN,AQ	+4348+08735	Etc/GMT-6	Xinjiang Time, Vostok
 CO	+0436-07405	America/Bogota
 CR	+0956-08405	America/Costa_Rica
 CU	+2308-08222	America/Havana
 CV	+1455-02331	Atlantic/Cape_Verde
-CW,AW,BQ,SX	+1211-06900	America/Curacao
-CX	-1025+10543	Indian/Christmas
+CX,KH,LA,TH,VN	+1345+10031	Etc/GMT-7	Indochina (most areas)
 CY	+3510+03322	Asia/Nicosia	Cyprus (most areas)
 CY	+3507+03357	Asia/Famagusta	Northern Cyprus
 CZ,SK	+5005+01426	Europe/Prague
-DE	+5230+01322	Europe/Berlin	Germany (most areas)
-DK	+5540+01235	Europe/Copenhagen
+DE,DK,NO,SE,SJ	+5230+01322	Europe/Berlin	Germany (most areas), Scandinavia
 DO	+1828-06954	America/Santo_Domingo
 DZ	+3647+00303	Africa/Algiers
 EC	-0210-07950	America/Guayaquil	Ecuador (mainland)
@@ -162,22 +154,19 @@ ES	+2806-01524	Atlantic/Canary	Canary Islands
 FI,AX	+6010+02458	Europe/Helsinki
 FJ	-1808+17825	Pacific/Fiji
 FK	-5142-05751	Atlantic/Stanley
-FM	+0725+15147	Pacific/Chuuk	Chuuk/Truk, Yap
-FM	+0658+15813	Pacific/Pohnpei	Pohnpei/Ponape
 FM	+0519+16259	Pacific/Kosrae	Kosrae
 FO	+6201-00646	Atlantic/Faroe
-FR	+4852+00220	Europe/Paris
+FR,MC	+4852+00220	Europe/Paris
 GB,GG,IM,JE	+513030-0000731	Europe/London
 GE	+4143+04449	Asia/Tbilisi
-GF	+0456-05220	America/Cayenne
-GH	+0533-00013	Africa/Accra
+GF	+0456-05220	Etc/GMT+3
 GI	+3608-00521	Europe/Gibraltar
 GL	+6411-05144	America/Nuuk	Greenland (most areas)
 GL	+7646-01840	America/Danmarkshavn	National Park (east coast)
 GL	+7029-02158	America/Scoresbysund	Scoresbysund/Ittoqqortoormiit
 GL	+7634-06847	America/Thule	Thule/Pituffik
 GR	+3758+02343	Europe/Athens
-GS	-5416-03632	Atlantic/South_Georgia
+GS	-5416-03632	Etc/GMT+2
 GT	+1438-09031	America/Guatemala
 GU,MP	+1328+14445	Pacific/Guam
 GW	+1151-01535	Africa/Bissau
@@ -196,16 +185,15 @@ IN	+2232+08822	Asia/Kolkata
 IO	-0720+07225	Indian/Chagos
 IQ	+3321+04425	Asia/Baghdad
 IR	+3540+05126	Asia/Tehran
-IS	+6409-02151	Atlantic/Reykjavik
 IT,SM,VA	+4154+01229	Europe/Rome
 JM	+175805-0764736	America/Jamaica
 JO	+3157+03556	Asia/Amman
 JP	+353916+1394441	Asia/Tokyo
 KE,DJ,ER,ET,KM,MG,SO,TZ,UG,YT	-0117+03649	Africa/Nairobi
 KG	+4254+07436	Asia/Bishkek
-KI	+0125+17300	Pacific/Tarawa	Gilbert Islands
 KI	-0308-17105	Pacific/Enderbury	Phoenix Islands
 KI	+0152-15720	Pacific/Kiritimati	Line Islands
+KI,MH,TV,UM,WF	+0125+17300	Etc/GMT-12	Gilberts, Marshalls, Tuvalu, Wallis & Futuna, Wake
 KP	+3901+12545	Asia/Pyongyang
 KR	+3733+12658	Asia/Seoul
 KZ	+4315+07657	Asia/Almaty	Kazakhstan (most areas)
@@ -219,15 +207,12 @@ LB	+3353+03530	Asia/Beirut
 LK	+0656+07951	Asia/Colombo
 LR	+0618-01047	Africa/Monrovia
 LT	+5441+02519	Europe/Vilnius
-LU	+4936+00609	Europe/Luxembourg
 LV	+5657+02406	Europe/Riga
 LY	+3254+01311	Africa/Tripoli
 MA	+3339-00735	Africa/Casablanca
-MC	+4342+00723	Europe/Monaco
 MD	+4700+02850	Europe/Chisinau
-MH	+0709+17112	Pacific/Majuro	Marshall Islands (most areas)
 MH	+0905+16720	Pacific/Kwajalein	Kwajalein
-MM	+1647+09610	Asia/Yangon
+MM,CC	+1647+09610	Asia/Yangon
 MN	+4755+10653	Asia/Ulaanbaatar	Mongolia (most areas)
 MN	+4801+09139	Asia/Hovd	Bayan-Ölgii, Govi-Altai, Hovd, Uvs, Zavkhan
 MN	+4804+11430	Asia/Choibalsan	Dornod, Sükhbaatar
@@ -235,7 +220,7 @@ MO	+221150+1133230	Asia/Macau
 MQ	+1436-06105	America/Martinique
 MT	+3554+01431	Europe/Malta
 MU	-2010+05730	Indian/Mauritius
-MV	+0410+07330	Indian/Maldives
+MV,TF	+0410+07330	Etc/GMT-5	Maldives, Kerguelen, St Paul I, Amsterdam I
 MX	+1924-09909	America/Mexico_City	Central Time
 MX	+2105-08646	America/Cancun	Eastern Standard Time - Quintana Roo
 MX	+2058-08937	America/Merida	Central Time - Campeche, Yucatán
@@ -247,43 +232,37 @@ MX	+2934-10425	America/Ojinaga	Mountain Time US - Chihuahua (US border)
 MX	+2904-11058	America/Hermosillo	Mountain Standard Time - Sonora
 MX	+3232-11701	America/Tijuana	Pacific Time US - Baja California
 MX	+2048-10515	America/Bahia_Banderas	Central Time - Bahía de Banderas
-MY	+0310+10142	Asia/Kuala_Lumpur	Malaysia (peninsula)
-MY	+0133+11020	Asia/Kuching	Sabah, Sarawak
 MZ,BI,BW,CD,MW,RW,ZM,ZW	-2558+03235	Africa/Maputo	Central Africa Time
 NA	-2234+01706	Africa/Windhoek
 NC	-2216+16627	Pacific/Noumea
 NF	-2903+16758	Pacific/Norfolk
 NG,AO,BJ,CD,CF,CG,CM,GA,GQ,NE	+0627+00324	Africa/Lagos	West Africa Time
 NI	+1209-08617	America/Managua
-NL	+5222+00454	Europe/Amsterdam
-NO,SJ	+5955+01045	Europe/Oslo
 NP	+2743+08519	Asia/Kathmandu
 NR	-0031+16655	Pacific/Nauru
 NU	-1901-16955	Pacific/Niue
 NZ,AQ	-3652+17446	Pacific/Auckland	New Zealand time
 NZ	-4357-17633	Pacific/Chatham	Chatham Islands
-PA,KY	+0858-07932	America/Panama
+PA,CA,KY	+0858-07932	America/Panama	EST - Panama, Cayman, ON (Atikokan), NU (Coral H)
 PE	-1203-07703	America/Lima
-PF	-1732-14934	Pacific/Tahiti	Society Islands
+PF	-1732-14934	Etc/GMT+10	Society Islands
 PF	-0900-13930	Pacific/Marquesas	Marquesas Islands
-PF	-2308-13457	Pacific/Gambier	Gambier Islands
-PG	-0930+14710	Pacific/Port_Moresby	Papua New Guinea (most areas)
+PF	-2308-13457	Etc/GMT+9	Gambier Islands
 PG	-0613+15534	Pacific/Bougainville	Bougainville
 PH	+1435+12100	Asia/Manila
 PK	+2452+06703	Asia/Karachi
 PL	+5215+02100	Europe/Warsaw
 PM	+4703-05620	America/Miquelon
 PN	-2504-13005	Pacific/Pitcairn
-PR	+182806-0660622	America/Puerto_Rico
+PR,AG,CA,AI,AW,BL,BQ,CW,DM,GD,GP,KN,LC,MF,MS,SX,TT,VC,VG,VI	+182806-0660622	America/Puerto_Rico	AST
 PS	+3130+03428	Asia/Gaza	Gaza Strip
 PS	+313200+0350542	Asia/Hebron	West Bank
 PT	+3843-00908	Europe/Lisbon	Portugal (mainland)
 PT	+3238-01654	Atlantic/Madeira	Madeira Islands
 PT	+3744-02540	Atlantic/Azores	Azores
-PW	+0720+13429	Pacific/Palau
+PW	+0720+13429	Etc/GMT-9
 PY	-2516-05740	America/Asuncion
 QA,BH	+2517+05132	Asia/Qatar
-RE,TF	-2052+05528	Indian/Reunion	Réunion, Crozet, Scattered Islands
 RO	+4426+02606	Europe/Bucharest
 RS,BA,HR,ME,MK,SI	+4450+02030	Europe/Belgrade
 RU	+5443+02030	Europe/Kaliningrad	MSK-01 - Kaliningrad
@@ -314,12 +293,9 @@ RU	+4658+14242	Asia/Sakhalin	MSK+08 - Sakhalin Island
 RU	+6728+15343	Asia/Srednekolymsk	MSK+08 - Sakha (E); North Kuril Is
 RU	+5301+15839	Asia/Kamchatka	MSK+09 - Kamchatka
 RU	+6445+17729	Asia/Anadyr	MSK+09 - Bering Sea
-SA,KW,YE	+2438+04643	Asia/Riyadh
-SB	-0932+16012	Pacific/Guadalcanal
-SC	-0440+05528	Indian/Mahe
+SB,FM	-0932+16012	Etc/GMT-11	Solomons, Pohnpei
 SD	+1536+03232	Africa/Khartoum
-SE	+5920+01803	Europe/Stockholm
-SG	+0117+10351	Asia/Singapore
+SG,MY	+0117+10351	Asia/Singapore	Singapore, peninsular Malaysia
 SR	+0550-05510	America/Paramaribo
 SS	+0451+03137	Africa/Juba
 ST	+0020+00644	Africa/Sao_Tome
@@ -327,8 +303,6 @@ SV	+1342-08912	America/El_Salvador
 SY	+3330+03618	Asia/Damascus
 TC	+2128-07108	America/Grand_Turk
 TD	+1207+01503	Africa/Ndjamena
-TF	-492110+0701303	Indian/Kerguelen	Kerguelen, St Paul Island, Amsterdam Island
-TH,KH,LA,VN	+1345+10031	Asia/Bangkok	Indochina (most areas)
 TJ	+3835+06848	Asia/Dushanbe
 TK	-0922-17114	Pacific/Fakaofo
 TL	-0833+12535	Asia/Dili
@@ -336,13 +310,10 @@ TM	+3757+05823	Asia/Ashgabat
 TN	+3648+01011	Africa/Tunis
 TO	-210800-1751200	Pacific/Tongatapu
 TR	+4101+02858	Europe/Istanbul
-TT,AG,AI,BL,DM,GD,GP,KN,LC,MF,MS,VC,VG,VI	+1039-06131	America/Port_of_Spain
-TV	-0831+17913	Pacific/Funafuti
 TW	+2503+12130	Asia/Taipei
 UA	+5026+03031	Europe/Kiev	Ukraine (most areas)
 UA	+4837+02218	Europe/Uzhgorod	Transcarpathia
 UA	+4750+03510	Europe/Zaporozhye	Zaporozhye and east Lugansk
-UM	+1917+16637	Pacific/Wake	Wake Island
 US	+404251-0740023	America/New_York	Eastern (most areas)
 US	+421953-0830245	America/Detroit	Eastern - MI (most areas)
 US	+381515-0854534	America/Kentucky/Louisville	Eastern - KY (Louisville area)
@@ -362,7 +333,7 @@ US	+465042-1012439	America/North_Dakota/New_Salem	Central - ND (Morton rural)
 US	+471551-1014640	America/North_Dakota/Beulah	Central - ND (Mercer)
 US	+394421-1045903	America/Denver	Mountain (most areas)
 US	+433649-1161209	America/Boise	Mountain - ID (south); OR (east)
-US	+332654-1120424	America/Phoenix	MST - Arizona (except Navajo)
+US,CA	+332654-1120424	America/Phoenix	MST - Arizona (except Navajo), Creston BC
 US	+340308-1181434	America/Los_Angeles	Pacific
 US	+611305-1495401	America/Anchorage	Alaska (most areas)
 US	+581807-1342511	America/Juneau	Alaska - Juneau area
@@ -378,6 +349,5 @@ UZ	+4120+06918	Asia/Tashkent	Uzbekistan (east)
 VE	+1030-06656	America/Caracas
 VN	+1045+10640	Asia/Ho_Chi_Minh	Vietnam (south)
 VU	-1740+16825	Pacific/Efate
-WF	-1318-17610	Pacific/Wallis
 WS	-1350-17144	Pacific/Apia
 ZA,LS,SZ	-2615+02800	Africa/Johannesburg
-- 
2.27.0

